Loading...
Searching...
No Matches
itk::ImageFileCastWriter< TInputImage > Class Template Reference

`#include <itkImageFileCastWriter.h>`

## Detailed Description

template<class TInputImage>
class itk::ImageFileCastWriter< TInputImage >

Casts pixel type and writes image data.

This filter saves an image and casts the data on the fly, if necessary. This is useful in some cases, to avoid the use of a itk::CastImageFilter (to save memory for example).

Definition at line 41 of file itkImageFileCastWriter.h.

Inheritance diagram for itk::ImageFileCastWriter< TInputImage >:
[legend]

## Public Types

using | ConstPointer = SmartPointer<const Self>
using | Pointer = SmartPointer<Self>
using | Self = ImageFileCastWriter
using | Superclass = ImageFileWriter<TInputImage>

## Public Member Functions

virtual const char * | GetClassName () const
virtual const char * | GetOutputComponentType () const
| ITK_DISALLOW_COPY_AND_MOVE (ImageFileCastWriter)
| itkStaticConstMacro (InputImageDimension, unsigned int, InputImageType::ImageDimension)
virtual void | SetOutputComponentType (const char *_arg)

## Static Public Member Functions

static Pointer | New ()

## Protected Member Functions

void | GenerateData () override
| ImageFileCastWriter ()=default
| ~ImageFileCastWriter () override=default

## Private Member Functions

template<class OutputComponentType>
void * | ConvertScalarImage (const DataObject *inputImage)

## Static Private Member Functions

static std::string | GetDefaultOutputComponentType ()

## Private Attributes

ProcessObject::Pointer | m_Caster { nullptr }
std::string | m_OutputComponentType { Self::GetDefaultOutputComponentType() }

## Member Typedef Documentation

## ConstPointer

template<class TInputImage>

using itk::ImageFileCastWriter< TInputImage >::ConstPointer = SmartPointer<const Self>

Definition at line 50 of file itkImageFileCastWriter.h.

## Pointer

template<class TInputImage>

using itk::ImageFileCastWriter< TInputImage >::Pointer = SmartPointer<Self>

Definition at line 49 of file itkImageFileCastWriter.h.

## Self

template<class TInputImage>

using itk::ImageFileCastWriter< TInputImage >::Self = ImageFileCastWriter

Standard class typedefs.

Definition at line 47 of file itkImageFileCastWriter.h.

## Superclass

template<class TInputImage>

using itk::ImageFileCastWriter< TInputImage >::Superclass = ImageFileWriter<TInputImage>

Definition at line 48 of file itkImageFileCastWriter.h.

## Constructor & Destructor Documentation

## ImageFileCastWriter()

template<class TInputImage>

itk::ImageFileCastWriter< TInputImage >::ImageFileCastWriter | ( |  | ) |

protected default

## ~ImageFileCastWriter()

template<class TInputImage>

itk::ImageFileCastWriter< TInputImage >::~ImageFileCastWriter | ( |  | ) |

override protected default

## Member Function Documentation

## ConvertScalarImage()

template<class TInputImage>
template<class OutputComponentType>

void * itk::ImageFileCastWriter< TInputImage >::ConvertScalarImage | ( | const DataObject * | inputImage | ) |

inline private

Templated function that casts the input image and returns a a pointer to the PixelBuffer. Assumes scalar singlecomponent images The buffer data is valid until this->m_Caster is destroyed or assigned a new caster. The ImageIO's PixelType is also adapted by this function

Definition at line 91 of file itkImageFileCastWriter.h.

## GenerateData()

template<class TInputImage>

void itk::ImageFileCastWriter< TInputImage >::GenerateData | ( |  | ) |

override protected

Does the real work.

## GetClassName()

template<class TInputImage>

virtual const char * itk::ImageFileCastWriter< TInputImage >::GetClassName | ( |  | ) | const

virtual

Run-time type information (and related methods).

## GetDefaultOutputComponentType()

template<class TInputImage>

std::string itk::ImageFileCastWriter< TInputImage >::GetDefaultOutputComponentType | ( |  | ) |

static private

Determine the default outputcomponentType

## GetOutputComponentType()

template<class TInputImage>

virtual const char * itk::ImageFileCastWriter< TInputImage >::GetOutputComponentType | ( |  | ) | const

virtual

## ITK_DISALLOW_COPY_AND_MOVE()

template<class TInputImage>

itk::ImageFileCastWriter< TInputImage >::ITK_DISALLOW_COPY_AND_MOVE | ( | ImageFileCastWriter< TInputImage > |  | ) |

## itkStaticConstMacro()

template<class TInputImage>

itk::ImageFileCastWriter< TInputImage >::itkStaticConstMacro | ( | InputImageDimension | ,
|  | unsigned int | ,
|  | InputImageType::ImageDimension | )

## New()

template<class TInputImage>

Pointer itk::ImageFileCastWriter< TInputImage >::New | ( |  | ) |

static

Method for creation through the object factory.

## SetOutputComponentType()

template<class TInputImage>

virtual void itk::ImageFileCastWriter< TInputImage >::SetOutputComponentType | ( | const char * | _arg | ) |

virtual

Set the component type for writing to disk; default: the same as the InputImagePixelType::ComponentType. This setting is ignored when the inputImagePixelType is not a scalar

## Field Documentation

## m_Caster

template<class TInputImage>

ProcessObject::Pointer itk::ImageFileCastWriter< TInputImage >::m_Caster { nullptr }

private

Definition at line 115 of file itkImageFileCastWriter.h.

## m_OutputComponentType

template<class TInputImage>

std::string itk::ImageFileCastWriter< TInputImage >::m_OutputComponentType { Self::GetDefaultOutputComponentType() }

private

Definition at line 117 of file itkImageFileCastWriter.h.

Generated on 1768596610 for elastix by 1.15.0 |